Bug 53174 - in [menu,x]config, the 3GB and 1GB options are swapped
Summary: in [menu,x]config, the 3GB and 1GB options are swapped
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 21:03 UTC by Rich Rakich
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rich Rakich 2001-09-04 21:03:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)
Gecko/20010622

Description of problem:
in the config.in file provided in the 2.4.2-2 kernel source, the 1GB and
3GB labels are swapped from the actual config item written to the .config
file.  This causes unresovled symbols for some kernel modules when using
modversions as it changes the symbol name by adding in a 3gig_ to the
function symbol.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run make [x,menu]config
2.Save and exit
3.look at the .config file, if you select the 1GB option, CONFIG_3GB is set
to y, if you select 3GB option, CONFIG_1GB is set to y
	

Actual Results:  See above.

Expected Results:  Setting the 1GB option should set CONFIG_1GB and the
same for the 3GB option.

Additional info:

Comment 1 Arjan van de Ven 2001-09-04 21:12:01 UTC
This should be fixed in the 2.4.3-12 security errata kernel.

Comment 2 Justin Johnson 2002-06-18 21:07:32 UTC
This also happens on redhat 7.2 running kernel 2.4.7-10.

Comment 3 Bugzilla owner 2004-09-30 15:39:09 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.